Subject: memorial service
From: "Kay Price" <[email-masked]>
To: "Tracy Heron" <[email-masked]>, "Rodney Schroeter" <[email-masked]>, "Perry Huntoon" <[email-masked]>, "Pat Russell" <[email-masked]>, "Mary Schweitzer" <[email-masked]>, "John Haefele" <[email-masked]>, "Jim Roberts" <[email-masked]>, "Jim Kirchstein" <[email-masked]>, "Grant, Kenneth" <[email-masked]>, "George Vanderburgh" <[email-masked]>, "Dan Boulden" <[email-masked]>, "Char Olson" <[email-masked]>, "Karen Nelson" <[email-masked]>
Date: Sat, 26 Mar 2011 02:10:59 -0500

ADS Board,

I just heard this was on April's daughter's Facebook.  I have no idea what the details are but can't imagine a four hour service. I will find out more this weekend from Wally. I will let you know.   Kay

Danielle Jacobs
We are having a memorial service for my mom, April Derleth, saturday April 2nd at the Free Congregation on Polk St in Sauk City. Services will be from 12-4. All friends and friends of my mom are welcome to attend.